#pragma once

#include "render.h"
#include <color.h>

namespace render::primitives
{
void Init();
void Free();

void Render();

void Quad(const vec2f &pos, const vec2f &size, const color::rgba & = color::white);

void Circle(const vec2f &pos, const vec2f &radius, const color::rgba & color = color::white, float angle = 0, uint32_t edgeCount = 0);
} // namespace render::primitives
